
[Command]
name = "HELL_END_DRAGON"
command = ~D, B, D, F, z
time = 35

[Command]
name = "NARUKAMI"
command = ~D, F, D, F, c
time = 28

[Command]
name = "PHANTOM_DIVE"
command = ~D, B, D, B, z
time = 28

[Command]
name = "HELL_DRAGON"
command = ~D, F, D, F, z
time = 28

[Command]
name = "DEATH_FANG"
command = ~F, D, DF, y

[Command]
name = "JET_X"
command = ~D, DF, F, x

[Command]
name = "MAGNUM_STEP"
command = ~D, B, z

[Command]
name = "WAR_DANCE"
command = ~D, B, y

[Command]
name = "RE_BITE"
command = ~D, B, x

;------------------------------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 20

[Command]
name = "BB"
command = B, B
time = 20

[Command]
name = "AFF"
command = ~F, F
time = 20

[Command]
name = "ABB"
command = ~B, B
time = 20

;------------------------------------------------------------------------------

[Command]
name = "recovery"
command = x+y
time = 1

;------------------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "up" 
command = $U
time = 1

[Command]
name = "hijump"
command = D, $U
time = 20

;------------------------------------------------------------------------------

[Statedef -1] 

[State -1, ステ抜け用変数無感知化] 
type = Varset
trigger1 = 1
sysvar(0) = 0
ignorehitpause = 1

[State -1, １１Ｐ時]
type = Changestate
triggerall = !ishelper
trigger1 = palno = 11
value = 3000
ignorehitpause = 1

;------------------------------------------------------------------------------

[State -1, NARUKAMI]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "NARUKAMI" || sysvar(3) = 2200
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 2200
ignorehitpause = 1

[State -1, PHANTOM_DIVE]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "PHANTOM_DIVE" || sysvar(3) = 2000
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 2100
ignorehitpause = 1

[State -1, HELL_DRAGON]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "HELL_DRAGON" || sysvar(3) = 2000
triggerall = numhelper(2001) = 0
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 2000
ignorehitpause = 1

;------------------------------------------------------------------------------

[State -1, RE_BITE]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "RE_BITE" || sysvar(3) = 1400
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 1400
ignorehitpause = 1

[State -1, WAR_DANCE]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "WAR_DANCE" || sysvar(3) = 1300
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 1300
ignorehitpause = 1

[State -1, MAGNUM_STEP]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "MAGNUM_STEP" || sysvar(3) = 1200
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 1200
ignorehitpause = 1

[State -1, DEATH_FANG]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "DEATH_FANG" || sysvar(3) = 1100
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
trigger13 = anim = 600
trigger13 = animelemtime(4) > 0
trigger14 = anim = 610
trigger14 = animelemtime(2) > 0
trigger15 = anim = 620
trigger15 = animelemtime(6) > 0
trigger16 = anim = 630
trigger16 = animelemtime(4) > 0
trigger17 = anim = 640
trigger17 = animelemtime(8) > 0
trigger18 = anim = 650
trigger18 = animelemtime(8) > 0
value = 1100
ignorehitpause = 1

[State -1, 空中JET-X]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "JET_X" || sysvar(3) = 1050
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 610
trigger3 = animelemtime(2) > 0
trigger4 = anim = 620
trigger4 = animelemtime(6) > 0
trigger5 = anim = 630
trigger5 = animelemtime(4) > 0
trigger6 = anim = 640
trigger6 = animelemtime(8) > 0
trigger7 = anim = 650
trigger7 = animelemtime(8) > 0
value = 1050
ignorehitpause = 1

[State -1, JET-X]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "JET_X" || sysvar(3) = 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(7) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 260
trigger8 = animelemtime(7) > 0
trigger9 = anim = 400
trigger9 = animelemtime(3) > 0
trigger10 = anim = 410
trigger10 = animelemtime(4) > 0
trigger11 = anim = 420
trigger11 = animelemtime(4) > 0
trigger12 = anim = 430
trigger12 = animelemtime(6) > 0
value = 1000
ignorehitpause = 1

;------------------------------------------------------------------------------

[State -1, ジャンプ弱連打キャンセル]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = statetype = A
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = anim = 600
trigger1 = animelemtime(4) > 0
value = 290
ignorehitpause = 1

[State -1, しゃがみ弱連打キャンセル]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = statetype = C
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = anim = 400
trigger1 = animelemtime(3) > 0
value = 290
ignorehitpause = 1

[State -1, 立ち弱連打キャンセル]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = statetype = S
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = anim = 200
trigger1 = animelemtime(6) > 0
trigger2 = anim = 400
trigger2 = animelemtime(3) > 0
value = 290
ignorehitpause = 1

[State -1, ジャンプ２強]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "z" || sysvar(3) = 650
triggerall = command = "holddown" || sysvar(3) = 650
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 610
trigger3 = animelemtime(2) > 0
trigger4 = anim = 620
trigger4 = animelemtime(6) > 0
trigger5 = anim = 630
trigger5 = animelemtime(4) > 0
trigger6 = anim = 640
trigger6 = animelemtime(8) > 0
value = 650
ignorehitpause = 1

[State -1, ジャンプ２中]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "y" || sysvar(3) = 640
triggerall = command = "holddown" || sysvar(3) = 640
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 610
trigger3 = animelemtime(2) > 0
trigger4 = anim = 620
trigger4 = animelemtime(6) > 0
trigger5 = anim = 630
trigger5 = animelemtime(4) > 0
trigger6 = anim = 650
trigger6 = animelemtime(8) > 0
value = 640
ignorehitpause = 1

[State -1, ジャンプ２弱]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "x" || sysvar(3) = 630
triggerall = command = "holddown" || sysvar(3) = 630
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 610
trigger3 = animelemtime(2) > 0
trigger4 = anim = 620
trigger4 = animelemtime(6) > 0
trigger5 = anim = 640
trigger5 = animelemtime(8) > 0
trigger6 = anim = 650
trigger6 = animelemtime(8) > 0
value = 630
ignorehitpause = 1

[State -1, ジャンプ強]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "z" || sysvar(3) = 620
triggerall = command != "holddown" || sysvar(3) = 620
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 610
trigger3 = animelemtime(2) > 0
trigger4 = anim = 630
trigger4 = animelemtime(4) > 0
trigger5 = anim = 640
trigger5 = animelemtime(8) > 0
trigger6 = anim = 650
trigger6 = animelemtime(8) > 0
value = 620
ignorehitpause = 1

[State -1, ジャンプ中]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "y" || sysvar(3) = 610
triggerall = command != "holddown" || sysvar(3) = 610
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger3 = anim = 620
trigger3 = animelemtime(6) > 0
trigger4 = anim = 630
trigger4 = animelemtime(4) > 0
trigger5 = anim = 640
trigger5 = animelemtime(8) > 0
trigger6 = anim = 650
trigger6 = animelemtime(8) > 0
value = 610
ignorehitpause = 1

[State -1, ジャンプ弱]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "x" || sysvar(3) = 600
triggerall = command != "holddown" || sysvar(3) = 600
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = anim = 610
trigger2 = animelemtime(2) > 0
trigger3 = anim = 620
trigger3 = animelemtime(6) > 0
trigger4 = anim = 630
trigger4 = animelemtime(4) > 0
trigger5 = anim = 640
trigger5 = animelemtime(8) > 0
trigger6 = anim = 650
trigger6 = animelemtime(8) > 0
value = 600
ignorehitpause = 1

[State -1, 立ち３弱]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "x" || sysvar(3) = 250
triggerall = command = "holdfwd" || sysvar(3) = 250
triggerall = command = "holddown" || sysvar(3) = 250
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 400
trigger5 = animelemtime(3) > 0
trigger6 = anim = 410
trigger6 = animelemtime(4) > 0
trigger7 = anim = 420
trigger7 = animelemtime(4) > 0
value = 250
ignorehitpause = 1

[State -1, エリアル]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "c" || sysvar(3) = 430
triggerall = command = "holddown" || sysvar(3) = 430
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 400
trigger5 = animelemtime(3) > 0
trigger6 = anim = 410
trigger6 = animelemtime(4) > 0
trigger7 = anim = 420
trigger7 = animelemtime(4) > 0
value = 430
ignorehitpause = 1

[State -1, しゃがみ強]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "z" || sysvar(3) = 420
triggerall = command = "holddown" || sysvar(3) = 420
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 400
trigger5 = animelemtime(3) > 0
trigger6 = anim = 410
trigger6 = animelemtime(4) > 0
value = 420
ignorehitpause = 1

[State -1, しゃがみ中]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "y" || sysvar(3) = 410
triggerall = command = "holddown" || sysvar(3) = 410
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 400
trigger4 = animelemtime(3) > 0
value = 410
ignorehitpause = 1

[State -1, しゃがみ弱]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "x" || sysvar(3) = 400
triggerall = command = "holddown" || sysvar(3) = 400
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 100
trigger3 = anim = 200
trigger3 = animelemtime(6) > 0
value = 400
ignorehitpause = 1

[State -1, 吹き飛ばし]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "c" || sysvar(3) = 430
triggerall = command != "holddown" || sysvar(3) = 430
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 400
trigger5 = animelemtime(3) > 0
trigger6 = anim = 410
trigger6 = animelemtime(4) > 0
trigger7 = anim = 420
trigger7 = animelemtime(4) > 0
value = 260
ignorehitpause = 1

[State -1, 立ち６強]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "z" || sysvar(3) = 240
triggerall = command = "holdfwd" || sysvar(3) = 240
triggerall = command != "holddown" || sysvar(3) = 240
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 400
trigger5 = animelemtime(3) > 0
trigger6 = anim = 410
trigger6 = animelemtime(4) > 0
trigger7 = anim = 420
trigger7 = animelemtime(4) > 0
value = 240
ignorehitpause = 1

[State -1, 立ち６中]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "y" || sysvar(3) = 230
triggerall = command = "holdfwd" || sysvar(3) = 230
triggerall = command != "holddown" || sysvar(3) = 230
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 220
trigger3 = animelemtime(5) > 0
trigger4 = anim = 400
trigger4 = animelemtime(3) > 0
trigger5 = anim = 410
trigger5 = animelemtime(4) > 0
trigger6 = anim = 420
trigger6 = animelemtime(4) > 0
value = 230
ignorehitpause = 1

[State -1, 立ち強]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "z" || sysvar(3) = 220
triggerall = command != "holddown" || sysvar(3) = 220
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 400
trigger4 = animelemtime(3) > 0
trigger5 = anim = 410
trigger5 = animelemtime(4) > 0
trigger6 = anim = 420
trigger6 = animelemtime(4) > 0
value = 220
ignorehitpause = 1

[State -1, 立ち中]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "y" || sysvar(3) = 210
triggerall = command != "holddown" || sysvar(3) = 210
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 400
trigger3 = animelemtime(3) > 0
value = 210
ignorehitpause = 1

[State -1, 立ち弱]
type = Changestate
triggerall = !ishelper
triggerall= alive
triggerall = command = "x" || sysvar(3) = 200
triggerall = command != "holddown" || sysvar(3) = 200
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 400
trigger2 = animelemtime(3) > 0
value = 200
ignorehitpause = 1

;------------------------------------------------------------------------------

[State -1, 勝利]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = anim != [170,181]
triggerall = !time
trigger1 = win
value = 180
ignorehitpause = 1

[State -1, 引き分け]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = anim != [170,181]
triggerall = !time
trigger1 = drawgame
value = 175
ignorehitpause = 1

[State -1, 判定負け]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = anim != [170,181]
triggerall = !time
trigger1 = losetime
value = 170
ignorehitpause = 1

[State -1, 空中バックステップ]
type = ChangeState
triggerall = !ishelper
triggerall = alive
triggerall = statetype = A
triggerall = ctrl
triggerall = vel y > 0
triggerall = anim != 105
trigger1 = command = "ABB"  || sysvar(3) = 115
value = 115
ignorehitpause = 1

[State -1, 空中ダッシュ]
type = ChangeState
triggerall = !ishelper
triggerall = alive
triggerall = statetype = A
triggerall = ctrl
triggerall = vel y > 0
triggerall = anim != 105
trigger1 = command = "AFF" || sysvar(3) = 110
value = 110
ignorehitpause = 1

[State -1, バックステップ]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "BB" || sysvar(3) = 105
value = 105
ignorehitpause = 1

[State -1, ダッシュ]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "FF" || sysvar(3) = 100
value = 100
ignorehitpause = 1

[state -1, 空中ジャンプ]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall= statetype = A
triggerall = vel y > 0
triggerall = var(2) < 2
triggerall = command = "up" || sysvar(3) = 40
triggerall = animelemtime(1) > 2
trigger1 = ctrl
trigger2 = anim = 600
trigger2 = animelemtime(4) > 0
trigger2 = anim = 610
trigger2 = animelemtime(2) > 0
value = 40
ignorehitpause = 1

[State -1, ジャンプ]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype != A
triggerall = command = "holdup" || sysvar(3) = 40
trigger1 = ctrl
trigger2 = anim = 200
trigger2 = animelemtime(6) > 0
trigger3 = anim = 210
trigger3 = animelemtime(4) > 0
trigger4 = anim = 220
trigger4 = animelemtime(5) > 0
trigger5 = anim = 230
trigger5 = animelemtime(7) > 0
trigger6 = anim = 240
trigger6 = animelemtime(8) > 0
trigger7 = anim = 251
trigger7 = animelemtime(2) > 0
trigger8 = anim = 400
trigger8 = animelemtime(3) > 0
trigger9 = anim = 410
trigger9 = animelemtime(4) > 0
trigger10 = anim = 420
trigger10 = animelemtime(4) > 0
trigger11 = anim = 430
trigger11 = animelemtime(6) > 0
value = 40
ignorehitpause = 1

[State -1, 歩き]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
triggerall = anim != [10,15]
triggerall = anim != [100,105]
trigger1 = command = "holdfwd" || sysvar(3) = 20
trigger2 = command = "holdback" || sysvar(3) = 20
value = 20
ignorehitpause = 1

[State -1, 立ち上がる動作]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = C
triggerall = ctrl
trigger1 = command != "holddown" || sysvar(3) = 12
value = 12
ignorehitpause = 1

[State -1, しゃがみ]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = C
triggerall = ctrl
triggerall = animtime = 0
trigger1 = command = "holddown" || sysvar(3) = 11
value = 11
ignorehitpause = 1

[State -1, しゃがむ動作]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "holddown" || sysvar(3) = 10
value = 10
ignorehitpause = 1

;---------------------------------------------------------------------------
